Fix:
error: ordered comparison between pointer and zero ('const void *' and 'int')
https://svnweb.freebsd.org/ports?view=revision&revision=478438
--- krusader/Dialogs/packgui.cpp.orig	2018-08-30 09:48:14 UTC
+++ krusader/Dialogs/packgui.cpp
@@ -40,7 +40,7 @@
 #include <QtGui/QComboBox>
 #include <khistorycombobox.h>
 
-#define PS(x) lst.contains(x)>0
+#define PS(x) bool(lst.contains(x))
 
 // clear the statics first
 QString PackGUI::filename = 0;
--- krusader/Konfigurator/kgarchives.cpp.orig	2018-08-30 09:48:24 UTC
+++ krusader/Konfigurator/kgarchives.cpp
@@ -163,7 +163,7 @@ void KgArchives::slotAutoConfigure()
 
 void KgArchives::disableNonExistingPackers()
 {
-#define PS(x) lst.contains(x)>0
+#define PS(x) bool(lst.contains(x))
 
     // get list of available packers
     QStringList lst = KRarcHandler::supportedPackers();
--- krusader/Konfigurator/krresulttable.cpp.orig	2018-08-30 09:48:49 UTC
+++ krusader/Konfigurator/krresulttable.cpp
@@ -27,7 +27,7 @@
 
 using namespace std;
 
-#define PS(x) _supported.contains(x)>0
+#define PS(x) bool(_supported.contains(x))
 
 KrResultTable::KrResultTable(QWidget* parent)
         : QWidget(parent),
--- krusader/MountMan/kmountman.cpp.orig	2018-08-30 09:48:03 UTC
+++ krusader/MountMan/kmountman.cpp
@@ -109,18 +109,18 @@ KMountMan::~KMountMan() {}
 
 bool KMountMan::invalidFilesystem(QString type)
 {
-    return (invalid_fs.contains(type) > 0);
+    return (invalid_fs.contains(type));
 }
 
 // this is an ugly hack, but type can actually be a mountpoint. oh well...
 bool KMountMan::nonmountFilesystem(QString type, QString mntPoint)
 {
-    return((nonmount_fs.contains(type) > 0) || (nonmount_fs_mntpoint.contains(mntPoint) > 0));
+    return(bool(nonmount_fs.contains(type)) || bool(nonmount_fs_mntpoint.contains(mntPoint)));
 }
 
 bool KMountMan::networkFilesystem(QString type)
 {
-    return (network_fs.contains(type) > 0);
+    return (network_fs.contains(type));
 }
 
 void KMountMan::mainWindow()
